@extends('web.includes.layout')
@section( 'title' , '-空壓機、乾燥機、過濾系統:首頁')
@push('head')
    <script>
	    $(window).on('load',function(){
				var swiper = new Swiper('.banner', {
				cssMode: true,
				navigation: {
					nextEl: '.banner-next',
					prevEl: '.banner-prev',
				},
				pagination: {
					el: '.swiper-pagination'
				},
					keyboard: true,
			});

			var swiper = new Swiper('.pro-box', {
				slidesPerView: 5,
				spaceBetween: 30,
				slidesPerGroup: 1,
				pagination: {
					el: '.swiper-pagination',
					clickable: true,
				},
				navigation: {
					nextEl: '.pro-next',
					prevEl: '.pro-prev',
				},
				breakpoints: {
					//当宽度大于等于320
					500: {
					slidesPerView: 2,
					spaceBetween: 10
					},
					//当宽度大于等于768
					800: {
					slidesPerView: 3,
					spaceBetween: 10
					}
				}
			});
	    })
	</script>

@endpush


@section('main')
<!--start-->
<article id="hight">
	 <!-- Swiper -->
	 <div class="swiper-container banner">
		<div class="swiper-wrapper">
			{{-- 圖片建議尺吋 1366*550 --}}
			@foreach ($banner as $element)
			<!--  <a @if(!empty($element['link'])) href="{{ $element['link'] }}" @endif target="_blank"> -->
				<div @if(!empty($element['link'])) style="cousor:pointer;" @endif  onclick="@if(!empty($element['link'])) window.open('{{ $element['link'] }}','_blank');; @else return false; @endif" class="swiper-slide"><img src="{{ storage_path($element['pic']) }}" alt=""></div>
		    <!-- </a> -->
			@endforeach
		</div>
		<!-- Add Arrows -->
		<div class="swiper-button-next banner-next"></div>
		<div class="swiper-button-prev banner-prev"></div>
		<!-- Add Pagination -->
    	<div class="swiper-pagination"></div>
  	</div>
	
	<section class="frame-box index">
		<div class="parallelogram text-center wow fadeIn">
			<div class="about-img">
				<img src="{{ resources_path() }}_img/index/img01.png" alt="">
				<h1 class="main-title">
					<span>about us</span>
					關於我們
				</h1>
				<a href="{{ base_path() }}about" class="btn mt-5">查看更多</a>
			</div>
		</div>
		<div class="ind-about wow fadeInright">
			<div class="text">
				名盛公司無論在空壓機、乾燥機、過濾系統及管路配置，均擁有豐富專業安裝及維修經驗，
				可迅速確實提供客戶所需優質空氣品質。此外，並備有許多有關空氣動力系統資料，免費提供客戶參考，
				亦可為廠商舉辦專業講習會，協助廠方解決疑難、提高生產力，為貼近市場需求，名盛公司近期將擴大徵才，
				建立更強大的服務團隊，提升更高服務品質及效率。
			</div>
		</div>
		<div class="banner-text text-center">
				<h2>提供專業，整廠空氣源需求<br>規劃空壓機組與管路配置服務及節能規劃</h2>
		</div>
	</section>

	<!-- news -->
	<section class="news-bg  wow fadeInUp">
		<div class="container">
			<div class="row">
				<div class="col-lg-2 col-12 line-left text-center">
					<h1 class="main-title">
						<span>news</span>
						最新消息
					</h1>
					<a href="{{ base_path() }}news" class="btn mt-3 mt-md-5">查看更多</a>
				</div>
				<div class="col-lg-9 col-12 news-list">
				 @foreach ($news as $element)
					<a href="{{ base_path() }}news/{{$element['class_id']}}/{{$element['id']}}" class="new-item">
						<div class="date">{{ dateformat($element['date'], 'Y.m.d') }}</div>
						<div class="title">{{ $element['name'] }}</div>
					</a>
				@endforeach
				</div>
				
			</div>
		</div>
	</section>

	<!-- product -->

	<section class="frame-box index-pro  wow fadeInDown">
		<div class="parallelogram2 text-center left">
			<h1 class="main-title">
				<span>PRODUCT</span>
				產品資訊
			</h1>
			{{-- 圖片建議尺寸 373*319 勿超過比例 --}}
			<div class="pro-img">
				<img src="{{ storage_path($product_top['pic']) }}" alt="">
			</div>
		</div>
		<div class="parallelogram2 right">
			<div class="text">
				@php
					$tmp =   \DB::table(config('product.class_table'))
                                 
                             ->where([['id', $product_top['class_id']], ['act', 1], ['del', 0]])->first();
                          $l=   \DB::table(config('product.class_table'))
                                 
                             ->where([['id', $tmp['class_id']], ['act', 1], ['del', 0]])->first();
				@endphp
				<h1>{{$l['name']}}</h1>
				<p>{{strip_tags($product_top['info'])}}</p>

				
				<div class="text-center">
					<a href="{{ base_path() }}product/{{$l['id']}}/{{$product_top['class_id']}}/{{$product_top['id']}}" class="btn mt-5">查看更多</a>
				</div>
			</div>
		</div>
	</section>

	<section class="pro-frame  wow fadeIn">
		<!-- Swiper -->
		<div class="swiper-container pro-box">
			<div class="swiper-wrapper">
			 @foreach ($product_home as $element)
				<div class="swiper-slide">
					<a href="{{ base_path() }}product/{{$element['level_1_class_id']}}/{{$element['level_2_class_id']}}/{{$element['id']}}">
						{{-- 圖片建議尺寸 373*319 勿超過比例 --}}
						<div class="pro-img"><img src="{{ storage_path($element['pic']) }}" alt=""></div>
						<div class="title text-center font-weight-bold mt-2">{{ $product_class[$element['level_1_class_id']]['name']}}</div>
						
					</a>
				</div>
			@endforeach
			</div>
		</div>
		<!-- Add Arrows -->
		<div class="swiper-button-next pro-next"></div>
		<div class="swiper-button-prev pro-prev"></div>
	</section>

</article>
<!--end index-->
@endsection