<!DOCTYPE html>
<html lang="zh-TW">

<head>
    <meta http-equiv="Content-Language" content="zh-TW" />
    <meta charset="UTF-8">
    <title>{{ $page_title }} {{ config('system.web_title') }}</title>

    @if ($seo == true)
        <link rel="canonical" href="{{ host_path(base_path()) }}{{ Request::path() }}" />
        <meta name="description" content="{{ $seo_description }}">
        <meta property="og:description" content="{{ $seo_description }}" />
        <meta property="og:locale" content="zh_TW" />
        <meta property="og:type" content="{{ $seo_type }}" />
        <meta property="og:title" content="{{ $seo_title }} - {{ config('system.web_title') }}" />
        <meta property="og:site_name" content="{{ config('system.web_title') }}" />

        @if(!empty($seo_image))
            <meta property="og:image" content="{{ host_path() }}{{ $seo_image }}" />
        @else
            <meta property="og:image" content="{{ host_path(resources_path()) }}_img/layout/logo.png" />
        @endif

        <meta property="og:url" content="{{ host_path(base_path()) }}{{ Request::path() }}" /> 
    @endif
	
    @include('web.includes.head')
    @stack('head')

</head>

<body class="bg" id="{{ $main_id }}">
<div class="loader-mesk"></div>
<div class="preloader">
	<div class="preloader_inner">
		<img src="{{ resources_path() }}_img/layout/loader-logo.svg" alt="">
		<div class="mesk"></div>
	</div>
</div>
<div class="template">
<!--header-->
@include('web.includes.header')
<!-- End header -->

<main>
@yield('main')
</main>

<!-- footer -->
@include('web.includes.footer')
<!-- End footer -->

</div>

@include('web.includes.script')
@stack('script')
</body>

</html>