@extends('web.includes.layout',[
    'page_title' => '',
    'main_id' => 'index',
    'seo' => false,
    'seo_description' => '',
    'seo_image'=> '',
    'seo_type' => 'website',
])
@push('head')

@endpush
@push('script')
<script>
    $(function(){
        var swiper = new Swiper('.banner-slider', {
            loop: false,
            watchOverflow: true,
            // effect : 'fade',
            speed: 1000,
            autoplay: {
                delay: 6000,
            },
            pagination: {
                el: '.swiper-pagination',
                clickable :true,
            },
        });
    })
</script>
@endpush

@section('main')

<div id="banner">
    <div class="banner-slider swiper-container">
        <div class="swiper-wrapper">
            <!-- 1920 x 800 -->
            <div class="swiper-slide">
                <img src="{{ resources_path() }}_img/index/banner01.jpg" alt="">
            </div>
            <div class="swiper-slide">
                <img src="{{ resources_path() }}_img/index/banner01.jpg" alt="">
            </div>
        </div>
        <div class="swiper-pagination"></div>
    </div>
</div>

<article>
    <section id="about">
        <div class="container">
            <div class="row align-items-center">
                <div class="col-lg-6 ani" data-ani="zoomIn">
                    <img src="{{ resources_path() }}_img/index/about-01.jpg" alt="">
                </div>
                <div class="col-lg-6 mt-4 mt-lg-0">
                    <div class="text-box">
                        <div class="title">完美牙醫<br>致力打造患者發自內心的<span class="text-primary">「理想微笑」</span></div>
                        <div class="">完美美學牙醫醫療團隊秉持視病如親的理念，致力於改善患者口腔健康及外在齒科美容醫學，係由各科專科醫師共同開設。我們認為打造患者所謂的「理想微笑」不僅限於外在美觀，而是當患者發自內心對自身整體口腔狀況感到十分滿意時才是真正做到。</div>
                    </div>

                </div>
            </div>
        </div>
    </section>
    <section id="service" class="bg-c4">
        <div class="container">
            <div class="text-center mb-5 ani" data-ani="zoomIn">
                <div class="main-title">服務項目</div>
            </div>
            <div class="row">
                <div class="col-lg-2-4 col-6 mb-4 mb-lg-0">
                    <div class="item ani" data-ani="fadeInUp">
                        <div class="icon"><i class="far fa-plus-circle"></i></div>
                        <div class="title">All-on-4<br>一日全口重建</div>
                        <div class="img-box"><img class="mx-auto" src="{{ resources_path() }}_img/index/service-01.svg" alt=""></div>
                    </div>
                </div>
                <div class="col-lg-2-4 col-6 mb-4 mb-lg-0">
                    <div class="item ani" data-ani="fadeInUp" data-delay="0.1s">
                        <div class="icon"><i class="far fa-plus-circle"></i></div>
                        <div class="title">水雷射微創植牙</div>
                        <div class="img-box"><img class="mx-auto" src="{{ resources_path() }}_img/index/service-02.svg" alt=""></div>
                    </div>
                </div>
                <div class="col-lg-2-4 col-6 mb-4 mb-lg-0">
                    <div class="item ani" data-ani="fadeInUp" data-delay="0.2s">
                        <div class="icon"><i class="far fa-plus-circle"></i></div>
                        <div class="title">審美美學牙科</div>
                        <div class="img-box"><img class="mx-auto" src="{{ resources_path() }}_img/index/service-03.svg" alt=""></div>
                    </div>
                </div>
                <div class="col-lg-2-4 col-6 mb-4 mb-lg-0">
                    <div class="item ani" data-ani="fadeInUp" data-delay="0.3s">
                        <div class="icon"><i class="far fa-plus-circle"></i></div>
                        <div class="title">舒眠麻醉</div>
                        <div class="img-box"><img class="mx-auto" src="{{ resources_path() }}_img/index/service-04.svg" alt=""></div>
                    </div>
                </div>
                <div class="col-lg-2-4 col-6 mb-4 mb-lg-0">
                    <div class="item ani" data-ani="fadeInUp" data-delay="0.4s">
                        <div class="icon"><i class="far fa-plus-circle"></i></div>
                        <div class="title">一般健保</div>
                        <div class="img-box"><img class="mx-auto" src="{{ resources_path() }}_img/index/service-05.svg" alt=""></div>
                    </div>
                </div>
            </div>
        </div>
    </section>

    <section id="case">
        <div class="container">
            <div class="text-center mb-4 ani" data-ani="zoomIn">
                <div class="main-title">案例分享</div>
            </div>
            <div class="text">打造‧完美‧微笑曲線</div>
        </div>
    </section>
    
    <section class="bg-half">
        <div class="container">
            <div class="row">
                <div class="col-lg-6 text-section">
                    <div class="text-box">
                        <div class="title">陶瓷美白貼片</div>
                        <div class="mb-4">
                            薄薄一片裝上後幾乎感覺不到存在<br>
                            改善先天遺傳、吃藥（如服用四環黴素）、咖啡、檳榔、抽煙<br>
                            及做過根管治療等造成的暗沈齒色及難清楚之牙垢
                        </div>
                        <div class="mb-4">
                            微調牙齒型態達到微型矯正效果<br>
                            淺層或牙縫間蛀牙改善進而達到預防深層蛀牙<br>
                            僅需修磨些許表面齒質不傷害牙本質
                        </div>
                        <div class="mb-4">
                            先進儀器口掃機印模使模型能更精準密合<br>
                            還能避免傳統黏土印模材咬著帶來不適感<br>
                            最快只需一日即可輕鬆打造微笑曲線💯
                        </div>
                        <div class="mt-4 mt-lg-5">
                            <a href="#contact" class="btn btn-outline-primary py-2"><i class="fas fa-tooth pr-1"></i> 立即預約諮詢</a>
                        </div>
                    </div>
                </div>
                <div class="col-lg-6 img-section">
                    <img class="ani" data-ani="zoomIn" src="{{ resources_path() }}_img/index/case-01.jpg" alt="">
                </div>
            </div>
        </div>
    </section>

    <section class="bg-half">
        <div class="container">
            <div class="row">
                <div class="col-lg-6 text-section">
                    <div class="text-box">
                        <div class="title">All-on-4　一日全口重建</div>
                        <div class="mb-4">
                            利用斜張橋般的特殊力學設計不需補骨手術多等待半年<br>
                            只需四根至六根特殊植體即可撐起全口假牙<br>
                            高科技植牙儀器降低風險提高安全度<br>
                            專利水雷射微創技術使傷口復原快速
                        </div>
                        <div class="mb-4">
                            搭配舒眠治療讓你一覺醒來就植好牙，<br>
                            感受不到手術過程的恐懼及疼痛<br>
                            費用實惠僅需傳統全口植牙50%<br>
                            術後高壓氧、雷射恢復治療
                        </div>
                        <div class="mb-4">
                            固定式假牙不用像傳統活動假牙一樣需拿上拿下且清潔容易<br>
                            一天內解決蛀牙、牙周、缺牙等惱人牙齒問題<br>
                            一天內完成從無牙到有牙，給你自信笑容<br>
                            無等待期，立即恢復進食功能與張口說話，<br>
                            可馬上工作、恢復社交生活。
                        </div>
                        <div class="mt-4 mt-lg-5">
                            <a href="#contact" class="btn btn-outline-primary py-2"><i class="fas fa-tooth pr-1"></i> 立即預約諮詢</a>
                        </div>
                    </div>
                </div>
                <div class="col-lg-6 img-section">
                    <img class="ani" data-ani="zoomIn" src="{{ resources_path() }}_img/index/case-02.jpg" alt="">
                </div>
            </div>
        </div>
    </section>

    <section id="contact">
        <div class="container">
            <div class="text-center mb-4 ani" data-ani="zoomIn">
                <div class="main-title">線上預約諮詢</div>
            </div>
            <div class="text">歡迎撥打我們的服務專線，或填寫線上表單<br>將有專人立即與您聯繫</div>
        </div>
    </section>

</article>
@endsection