<?php

// 路由 - 只接受三個參數 0 => Http Method , 2 => 控制器@方法 , 3 => 中介層 (陣列 可多個)
// 路由路徑 - 帶入控制器方法的參數 請務必用 {} 包起來, 以搜尋 " /{ " 來判斷後面的全都是參數

return [
	// 登入/登出
	['admin'        => ['get', 'Admin\LoginController@index', ['admin.guest'] ] ],
	['admin'        => ['post', 'Admin\LoginController@login', ['admin.guest'] ] ],
	['admin/logout' => ['get', 'Admin\LoginController@logout'] ],

	// 首頁
	['admin/index' => ['get', 'Admin\IndexController@index', ['admin'] ] ],

	// 帳號管理
	['admin/account/upd_pw/{id}' => ['get', 'Admin\AccountController@show_upd_pw', ['admin'] ] ],
	['admin/account/upd_pw/{id}'  => ['patch', 'Admin\AccountController@upd_pw', ['admin'] ] ],

	// HTML 編輯器
	['admin/html-editor/manager'            => ['get', 'Admin\HtmlEditorManagerController@show', ['admin'] ] ],
	['admin/html-editor/manager/{class_id}' => ['get', 'Admin\HtmlEditorManagerController@show', ['admin'] ] ],
	['admin/html-editor/{class_id}/{id}'    => ['post', 'Admin\HtmlEditorManagerController@add', ['admin'] ] ],
	['admin/html-editor/{class_id}/{id}'    => ['patch', 'Admin\HtmlEditorManagerController@upd', ['admin'] ] ],
	['admin/html-editor/{class_id}/{id}'    => ['delete', 'Admin\HtmlEditorManagerController@del', ['admin'] ] ],
		# 上傳圖片
	['admin/html-editor/image-upload'       => ['post', 'Admin\HtmlEditorManagerController@single_image_upload', ['admin'] ] ],
		# 多圖
	['admin/html-editor/ajax/pics/{pid}' => ['get', 'Admin\HtmlEditorManagerController@ajax_pics_get'] ],
	['admin/html-editor/ajax/pics/{pid}' => ['post', 'Admin\HtmlEditorManagerController@ajax_pics_upload'] ],
	['admin/html-editor/ajax/pics/{pid}/{id}/{column}' => ['patch', 'Admin\HtmlEditorManagerController@ajax_pics_upd'] ],
	['admin/html-editor/ajax/pics/{pid}/{id}' => ['delete', 'Admin\HtmlEditorManagerController@ajax_pics_del'] ],

	// Page (開發用)
	['admin/page'      => ['get', 'Admin\PageController@index', ['admin'] ] ],
	['admin/page/{id}' => ['get', 'Admin\PageController@edit', ['admin'] ] ],
	['admin/page/{id}' => ['post', 'Admin\PageController@add', ['admin'] ] ],
	['admin/page/{id}' => ['patch', 'Admin\PageController@upd', ['admin'] ] ],
	['admin/page/{id}' => ['delete', 'Admin\PageController@del', ['admin'] ] ],
		# 多圖
	['admin/page/ajax/pics/{pid}' => ['get', 'Admin\PageController@ajax_pics_get'] ],
	['admin/page/ajax/pics/{pid}' => ['post', 'Admin\PageController@ajax_pics_upload'] ],
	['admin/page/ajax/pics/{pid}/{id}/{column}' => ['patch', 'Admin\PageController@ajax_pics_upd'] ],
	['admin/page/ajax/pics/{pid}/{id}' => ['delete', 'Admin\PageController@ajax_pics_del'] ],
		# 多檔
	['admin/page/ajax/files/{pid}' => ['get', 'Admin\PageController@ajax_files_get'] ],
	['admin/page/ajax/files/{pid}' => ['post', 'Admin\PageController@ajax_files_upload'] ],
	['admin/page/ajax/files/{pid}/{id}/{column}' => ['patch', 'Admin\PageController@ajax_files_upd'] ],
	['admin/page/ajax/files/{pid}/{id}' => ['delete', 'Admin\PageController@ajax_files_del'] ],

	// SEO
		# 分類
	['admin/seo_class/{class_id}'      => ['get', 'Admin\SeoClassController@index', ['admin'] ] ],
	['admin/seo_class/{class_id}/{id}' => ['get', 'Admin\SeoClassController@edit', ['admin'] ] ],
	['admin/seo_class/{class_id}/{id}' => ['post', 'Admin\SeoClassController@add', ['admin'] ] ],
	['admin/seo_class/{class_id}/{id}' => ['patch', 'Admin\SeoClassController@upd', ['admin'] ] ],
	['admin/seo_class/{class_id}/{id}' => ['delete', 'Admin\SeoClassController@del', ['admin'] ] ],
	['admin/seo_class/ajax/upd/{id}/{column}' => ['patch', 'Admin\SeoClassController@ajax_upd'] ],
		# 商品
	['admin/seo/{class_id}'      => ['get', 'Admin\SeoController@index', ['admin'] ] ],
	['admin/seo/{class_id}/{id}' => ['get', 'Admin\SeoController@edit', ['admin'] ] ],
	['admin/seo/{class_id}/{id}' => ['post', 'Admin\SeoController@add', ['admin'] ] ],
	['admin/seo/{class_id}/{id}' => ['patch', 'Admin\SeoController@upd', ['admin'] ] ],
	['admin/seo/{class_id}/{id}' => ['delete', 'Admin\SeoController@del', ['admin'] ] ],

	// Banner
	['admin/banner'      => ['get', 'Admin\BannerController@index', ['admin'] ] ],
	['admin/banner/{id}' => ['get', 'Admin\BannerController@edit', ['admin'] ] ],
	['admin/banner/{id}' => ['post', 'Admin\BannerController@add', ['admin'] ] ],
	['admin/banner/{id}' => ['patch', 'Admin\BannerController@upd', ['admin'] ] ],
	['admin/banner/{id}' => ['delete', 'Admin\BannerController@del', ['admin'] ] ],
	['admin/banner/ajax/upd/{id}/{column}' => ['patch', 'Admin\BannerController@ajax_upd'] ],

	['admin/option'      => ['get', 'Admin\OptionController@index', ['admin'] ] ],
	['admin/option/{id}' => ['get', 'Admin\OptionController@edit', ['admin'] ] ],
	['admin/option/{id}' => ['post', 'Admin\OptionController@add', ['admin'] ] ],
	['admin/option/{id}' => ['patch', 'Admin\OptionController@upd', ['admin'] ] ],
	['admin/option/{id}' => ['delete', 'Admin\OptionController@del', ['admin'] ] ],
	['admin/option/ajax/upd/{id}/{column}' => ['patch', 'Admin\OptionController@ajax_upd'] ],

	// 最新消息
		# 分類
	['admin/news_class/{class_id}'      => ['get', 'Admin\NewsClassController@index', ['admin'] ] ],
	['admin/news_class/{class_id}/{id}' => ['get', 'Admin\NewsClassController@edit', ['admin'] ] ],
	['admin/news_class/{class_id}/{id}' => ['post', 'Admin\NewsClassController@add', ['admin'] ] ],
	['admin/news_class/{class_id}/{id}' => ['patch', 'Admin\NewsClassController@upd', ['admin'] ] ],
	['admin/news_class/{class_id}/{id}' => ['delete', 'Admin\NewsClassController@del', ['admin'] ] ],
	['admin/news_class/ajax/upd/{id}/{column}' => ['patch', 'Admin\NewsClassController@ajax_upd'] ],
		# 商品
	['admin/news/{class_id}'      => ['get', 'Admin\NewsController@index', ['admin'] ] ],
	['admin/news/{class_id}/{id}' => ['get', 'Admin\NewsController@edit', ['admin'] ] ],
	['admin/news/{class_id}/{id}' => ['post', 'Admin\NewsController@add', ['admin'] ] ],
	['admin/news/{class_id}/{id}' => ['patch', 'Admin\NewsController@upd', ['admin'] ] ],
	['admin/news/{class_id}/{id}' => ['delete', 'Admin\NewsController@del', ['admin'] ] ],
	['admin/news/ajax/upd/{id}/{column}' => ['patch', 'Admin\NewsController@ajax_upd'] ],
		# 多圖
	['admin/news/ajax/pics/{pid}' => ['get', 'Admin\NewsController@ajax_pics_get'] ],
	['admin/news/ajax/pics/{pid}' => ['post', 'Admin\NewsController@ajax_pics_upload'] ],
	['admin/news/ajax/pics/{pid}/{id}/{column}' => ['patch', 'Admin\NewsController@ajax_pics_upd'] ],
	['admin/news/ajax/pics/{pid}/{id}' => ['delete', 'Admin\NewsController@ajax_pics_del'] ],
		# 多檔
	['admin/news/ajax/files/{pid}' => ['get', 'Admin\NewsController@ajax_files_get'] ],
	['admin/news/ajax/files/{pid}' => ['post', 'Admin\NewsController@ajax_files_upload'] ],
	['admin/news/ajax/files/{pid}/{id}/{column}' => ['patch', 'Admin\NewsController@ajax_files_upd'] ],
	['admin/news/ajax/files/{pid}/{id}' => ['delete', 'Admin\NewsController@ajax_files_del'] ],

		# 關聯
	['admin/news/ajax/relate/{pid}'      => ['get', 'Admin\NewsController@ajax_relate_get'] ],
	['admin/news/ajax/relate/{pid}'      => ['post', 'Admin\NewsController@ajax_relate_add'] ],
	['admin/news/ajax/relate/{pid}/{id}' => ['delete', 'Admin\NewsController@ajax_relate_del'] ],
	['admin/news/ajax/relate/search'     => ['get', 'Admin\NewsController@ajax_relate_search'] ],	
	// 產品介紹
		# 分類
	['admin/product_class/{class_id}'      => ['get', 'Admin\ProductClassController@index', ['admin'] ] ],
	['admin/product_class/{class_id}/{id}' => ['get', 'Admin\ProductClassController@edit', ['admin'] ] ],
	['admin/product_class/{class_id}/{id}' => ['post', 'Admin\ProductClassController@add', ['admin'] ] ],
	['admin/product_class/{class_id}/{id}' => ['patch', 'Admin\ProductClassController@upd', ['admin'] ] ],
	['admin/product_class/{class_id}/{id}' => ['delete', 'Admin\ProductClassController@del', ['admin'] ] ],
	['admin/product_class/ajax/upd/{id}/{column}' => ['patch', 'Admin\ProductClassController@ajax_upd'] ],
		# 商品
	['admin/product/{class_id}'       => ['get', 'Admin\ProductController@index', ['admin'] ] ],
	['admin/product/{class_id}/{id}'  => ['get', 'Admin\ProductController@edit', ['admin'] ] ],
	['admin/product/{class_id}/{id}'  => ['post', 'Admin\ProductController@add', ['admin'] ] ],
	['admin/product/{class_id}/{id}'  => ['patch', 'Admin\ProductController@upd', ['admin'] ] ],
	['admin/product/{class_id}/{id}'  => ['delete', 'Admin\ProductController@del', ['admin'] ] ],
	['admin/product/ajax/upd/{id}/{column}' => ['patch', 'Admin\ProductController@ajax_upd'] ],
		# 多圖
	['admin/product/ajax/pics/{pid}' => ['get', 'Admin\ProductController@ajax_pics_get'] ],
	['admin/product/ajax/pics/{pid}' => ['post', 'Admin\ProductController@ajax_pics_upload'] ],
	['admin/product/ajax/pics/{pid}/{id}/{column}' => ['patch', 'Admin\ProductController@ajax_pics_upd'] ],
	['admin/product/ajax/pics/{pid}/{id}' => ['delete', 'Admin\ProductController@ajax_pics_del'] ],

	['admin/accomm_class/{class_id}'      => ['get', 'Admin\AccommClassController@index', ['admin'] ] ],
	['admin/accomm_class/{class_id}/{id}' => ['get', 'Admin\AccommClassController@edit', ['admin'] ] ],
	['admin/accomm_class/{class_id}/{id}' => ['post', 'Admin\AccommClassController@add', ['admin'] ] ],
	['admin/accomm_class/{class_id}/{id}' => ['patch', 'Admin\AccommClassController@upd', ['admin'] ] ],
	['admin/accomm_class/{class_id}/{id}' => ['delete', 'Admin\AccommClassController@del', ['admin'] ] ],
	['admin/accomm_class/ajax/upd/{id}/{column}' => ['patch', 'Admin\AccommClassController@ajax_upd'] ],
		# 商品
	['admin/accomm/{class_id}'       => ['get', 'Admin\AccommController@index', ['admin'] ] ],
	['admin/accomm/{class_id}/{id}'  => ['get', 'Admin\AccommController@edit', ['admin'] ] ],
	['admin/accomm/{class_id}/{id}'  => ['post', 'Admin\AccommController@add', ['admin'] ] ],
	['admin/accomm/{class_id}/{id}'  => ['patch', 'Admin\AccommController@upd', ['admin'] ] ],
	['admin/accomm/{class_id}/{id}'  => ['delete', 'Admin\AccommController@del', ['admin'] ] ],
	['admin/accomm/ajax/upd/{id}/{column}' => ['patch', 'Admin\AccommController@ajax_upd'] ],
		# 多圖
	['admin/accomm/ajax/pics/{pid}' => ['get', 'Admin\AccommController@ajax_pics_get'] ],
	['admin/accomm/ajax/pics/{pid}' => ['post', 'Admin\AccommController@ajax_pics_upload'] ],
	['admin/accomm/ajax/pics/{pid}/{id}/{column}' => ['patch', 'Admin\AccommController@ajax_pics_upd'] ],
	['admin/accomm/ajax/pics/{pid}/{id}' => ['delete', 'Admin\AccommController@ajax_pics_del'] ],


	['admin/service_class/{class_id}'      => ['get', 'Admin\ServiceClassController@index', ['admin'] ] ],
	['admin/service_class/{class_id}/{id}' => ['get', 'Admin\ServiceClassController@edit', ['admin'] ] ],
	['admin/service_class/{class_id}/{id}' => ['post', 'Admin\ServiceClassController@add', ['admin'] ] ],
	['admin/service_class/{class_id}/{id}' => ['patch', 'Admin\ServiceClassController@upd', ['admin'] ] ],
	['admin/service_class/{class_id}/{id}' => ['delete', 'Admin\ServiceClassController@del', ['admin'] ] ],
	['admin/service_class/ajax/upd/{id}/{column}' => ['patch', 'Admin\ServiceClassController@ajax_upd'] ],
		# 商品
	['admin/service/{class_id}'       => ['get', 'Admin\ServiceController@index', ['admin'] ] ],
	['admin/service/{class_id}/{id}'  => ['get', 'Admin\ServiceController@edit', ['admin'] ] ],
	['admin/service/{class_id}/{id}'  => ['post', 'Admin\ServiceController@add', ['admin'] ] ],
	['admin/service/{class_id}/{id}'  => ['patch', 'Admin\ServiceController@upd', ['admin'] ] ],
	['admin/service/{class_id}/{id}'  => ['delete', 'Admin\ServiceController@del', ['admin'] ] ],
	['admin/service/ajax/upd/{id}/{column}' => ['patch', 'Admin\ServiceController@ajax_upd'] ],
		# 多圖
	['admin/service/ajax/pics/{pid}' => ['get', 'Admin\ServiceController@ajax_pics_get'] ],
	['admin/service/ajax/pics/{pid}' => ['post', 'Admin\ServiceController@ajax_pics_upload'] ],
	['admin/service/ajax/pics/{pid}/{id}/{column}' => ['patch', 'Admin\ServiceController@ajax_pics_upd'] ],
	['admin/service/ajax/pics/{pid}/{id}' => ['delete', 'Admin\ServiceController@ajax_pics_del'] ],
	// 聯絡我們
	['admin/contact'      => ['get', 'Admin\ContactController@index', ['admin'] ] ],
	['admin/contact/{id}' => ['get', 'Admin\ContactController@edit', ['admin'] ] ],
	// ['admin/contact/{id}' => ['post', 'Admin\ContactController@add', ['admin'] ] ],
	['admin/contact/{id}' => ['patch', 'Admin\ContactController@upd', ['admin'] ] ],
	['admin/contact/{id}' => ['delete', 'Admin\ContactController@del', ['admin'] ] ],



];